Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005731TestLinkGeneralpublic2013-05-22 20:522013-09-08 17:52
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritytextReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005731: Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious
DescriptionAvailables hot-fixes for 1.9.7


**********************************************************************
ATTENTION/CRITIC - this will be 1.9.8 and CHANGES TO DB WILL BE NEEDED
see 0005688, 0005755,0005756
**********************************************************************


ATTENTION - Since Gitorious ha upgraded it's site following instructions

Get latest package with all fixes from gitorious, using wget
wget http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^] [^]

ARE not valid ANYMORE
Seems only option is to CLONE repository (I'm sorry)


A little bit complex option (you need git installed on your system)
1. create a directory where you are going to get latest code
1.1 cd /
1.2 mkdir /testlink-fixes-latest

2. cd /testlink-fixes-latest
2.1 git clone git@gitorious.org:testlink-ga/testlink-code.git
this will create a new directory testlink-code

2.2 cd /testlink-fixes-latest/testlink-code
2.3 git checkout git checkout remotes/origin/testlink_1_9

(from http://stackoverflow.com/questions/1911109/git-clone-a-specific-branch [^])

3. get updates
After you have done this for FIRST TIME , to get updates
3.1 cd /testlink-fixes-latest/testlink-code
3.2 git pull






Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
parent of 0005733closedfman Create bug - debug information displayed 
parent of 0005736closedfman TRAC integration does not appear in the dropdown box 
parent of 0005720assignedfman TRAC integration uses user anonymous instead of the configured user and password 
parent of 0005734closedfman Cant create new bug - subject is too long 
parent of 0005703closedfman Create issue with Portuguese characters produces mangled text 
parent of 0005688closedfman cfields_testproject - columns related required feature 
parent of 0005640closedfman Popup for not saved changes is not shown if using CKEDITOR 
parent of 0005657closedfman No alert for not saved changes while editing TestSuite name 
parent of 0005680closedfman Adding Required attribute to Custom field via HTML5 required attribute 
parent of 0005205closedfman SQL error displayed when canceling all requirements export 
parent of 0005739closedfman Test Specification Filters - Add option to filter by 'NO keywords' 
parent of 0005748closedfman E_NOTICE when creating/managing Requirements 
parent of 0005749closedfman got E_WARNING when creating/managing Test cases 
parent of 0005527closedfman search test cases - possibility to search by test author 
parent of 0005755closedfman add estimated_exec_duration column to tcversions table 
parent of 0005756closedfman Execution duration (minutes) is part of executions table 
parent of 0005760closedfman Default youtrack template contains comments that break the integration 
parent of 0005762closedfman test case view: possibility to change attributes without entering edit mode 
parent of 0005763closedfman Test Case Reuse - Ghost - Possibility to get generated ghost string 
parent of 0005767closedfman Redmine 2.x - Link access issue (uriview) has changed from 1.x => issue can not be accessed 
parent of 0005764closedfman Browsers IE - OPERA / Clicking report direct link opens file "Save As" dialog 
parent of 0005775closedfman Reports are naming Word document incorrectly in Save Dialog SPURIOUS CHAR on context 
parent of 0005780closedfman POSTGRES SQL SYNTAX SPECIFIC ISSUE - Filters in "Test execution" with "ALL Builds" is applied, ERROR ON exec_query() 
parent of 0005781closedfman "delete this version" in requirement pop-up from "Requirement Overview" breaks requirement overview; Database Access Error 
parent of 0005787closedfman Custom fields import via XML for Requirement Specification does not work 
parent of 0005800closedfman TEST CASE STEP - Custom Field Values get deleted when leaving Test Case Step with Save & Exit 
parent of 0005788closedfman test case execution order not working on RIGHT PANE 
parent of 0005796closedfman Search test case or string, using search box on menu bar - Database error 
parent of 0005804closedfman Failed Test Cases report shows history on all projects, ignoring Role security 
parent of 0005808closedfman Test case versions for executed test cases show new version when updated 
parent of 0005807closedfman Unable to filter by Importance 
parent of 0005812closedfman Can not be imported - You are hitting an existent Test Case with SAME EXTERNAL ID 
parent of 0005262closedfman Default admin's password can not be changed because user doesn't have an email address 
parent of 0005836closedfman Test Execute - include unassigned Test Case checkbox issue 
parent of 0005838closedfman Additions to German Localization 
parent of 0005837closedfman French localization update 
parent of 0005799closedfman Test Execution Filter for assigned tc's is not working 
parent of 0005840closedfman JIRA SOAP - Add possibility to disable CREATE ISSUE feature via configuration 
parent of 0005746closedfman Cannot set new rights after upgrade 
parent of 0005842closedfman import XML results error test case not found 
parent of 0005848closedfman API XML-RPC - getUserByLogin(), getUserByID() 
parent of 0005850closedfman Add Option to create XML output file, to make simple import of results 
parent of 0005854closedfman Test Execute - After Export Test Plan some context info is missing and click on test suite on tree crash 
parent of 0004825assignedfman XML-RPC API - updateTestCase() method 
parent of 0005855closedfman Test Spec Export - Ghost in test case steps are replaced with text from source test case step 
parent of 0005844closedfman Database crash when trying to execute test case that uses ghost 
parent of 0005856closedfman Usability Improvement - toogle Active/Inactive from test plan list 
parent of 0005857closedfman getTestCase() method with specified 'version' param always return version 1 
parent of 0005858closedfman Usability Improvement - Toggle Active attribute from test project list 
parent of 0005859closedfman Possibility to export users 
parent of 0005770closedfman The issue field (eg JIRA) ahs limited caracter number (16) how to increase it ? 
parent of 0005866closedfman REST 'GET /testprojects/:id' raise 500 Internal Server Error - due to authentication 
parent of 0005865closedfman REST response header should define content-type application/json 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-05-22 20:52 fman New Issue
2013-05-22 20:52 fman Description Updated View Revisions
2013-05-22 20:53 fman Description Updated View Revisions
2013-05-22 20:53 fman Sticky Issue No => Yes
2013-05-22 20:54 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-05-23 20:44 fman Relationship added parent of 0005733
2013-05-25 10:36 fman Relationship added parent of 0005736
2013-05-25 10:38 fman Relationship added parent of 0005720
2013-05-25 10:57 fman Relationship added parent of 0005734
2013-05-25 10:57 fman Relationship added parent of 0005703
2013-05-25 18:25 fman Description Updated View Revisions
2013-05-25 18:25 fman Description Updated View Revisions
2013-05-25 18:26 fman Description Updated View Revisions
2013-05-25 18:26 fman Relationship added parent of 0005688
2013-05-26 18:29 fman Relationship added parent of 0005640
2013-05-26 18:47 fman Relationship added parent of 0005657
2013-05-26 18:48 fman Relationship added parent of 0005680
2013-05-26 20:00 fman Relationship added parent of 0005205
2013-05-28 21:40 fman Relationship added parent of 0005739
2013-05-29 18:34 fman Relationship added parent of 0005748
2013-05-29 18:36 fman Relationship added parent of 0005749
2013-05-29 20:32 fman Relationship added parent of 0005527
2013-05-31 21:16 fman Relationship added parent of 0005755
2013-05-31 21:16 fman Description Updated View Revisions
2013-05-31 21:17 fman Description Updated View Revisions
2013-06-01 13:49 fman Relationship added parent of 0005756
2013-06-01 13:50 fman Description Updated View Revisions
2013-06-01 13:51 fman Description Updated View Revisions
2013-06-04 18:58 fman Relationship added parent of 0005760
2013-06-04 20:45 fman Relationship added parent of 0005762
2013-06-05 21:33 fman Relationship added parent of 0005763
2013-06-08 07:16 fman Relationship added parent of 0005767
2013-06-14 18:50 fman Relationship added parent of 0005764
2013-06-14 18:51 fman Relationship added parent of 0005775
2013-06-17 18:51 fman Relationship added parent of 0005780
2013-06-21 20:40 fman Relationship added parent of 0005781
2013-06-22 09:53 fman Relationship added parent of 0005787
2013-07-04 18:45 fman Relationship added parent of 0005800
2013-07-06 08:17 fman Relationship added parent of 0005788
2013-07-06 09:53 fman Relationship added parent of 0005796
2013-07-11 20:07 fman Relationship added parent of 0005804
2013-07-13 08:11 fman Relationship added parent of 0005808
2013-07-13 15:23 fman Relationship added parent of 0005807
2013-07-18 18:41 fman Relationship added parent of 0005812
2013-07-22 20:24 fman Relationship added parent of 0005262
2013-08-01 17:51 fman Relationship added parent of 0005836
2013-08-05 08:16 fman Relationship added parent of 0005838
2013-08-05 08:26 fman Relationship added parent of 0005837
2013-08-05 10:46 fman Relationship added parent of 0005799
2013-08-05 13:05 fman Relationship added parent of 0005840
2013-08-06 20:16 fman Relationship added parent of 0005746
2013-08-06 21:22 fman Relationship added parent of 0005842
2013-08-09 18:11 fman Relationship added parent of 0005848
2013-08-11 09:45 fman Relationship added parent of 0005850
2013-08-12 14:11 fman Relationship added parent of 0005854
2013-08-12 17:44 fman Relationship added parent of 0004825
2013-08-13 08:43 fman Relationship added parent of 0005855
2013-08-13 10:29 fman Relationship added parent of 0005844
2013-08-13 18:50 fman Relationship added parent of 0005856
2013-08-14 14:04 fman Relationship added parent of 0005857
2013-08-14 14:37 fman Relationship added parent of 0005858
2013-08-14 15:53 fman Relationship added parent of 0005859
2013-08-16 09:55 fman Relationship added parent of 0005770
2013-08-17 08:07 fman Relationship added parent of 0005866
2013-08-17 09:00 fman Relationship added parent of 0005865
2013-09-07 06:59 fman Description Updated View Revisions
2013-09-07 06:59 fman Description Updated View Revisions
2013-09-07 07:24 fman Description Updated View Revisions
2013-09-07 10:30 fman Description Updated View Revisions
2013-09-08 17:49 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-09-08 17:49 fman Status new => resolved
2013-09-08 17:49 fman Resolution open => fixed
2013-09-08 17:49 fman Assigned To => fman
2013-09-08 17:51 fman Issue cloned: 0005897
2013-09-08 17:52 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker